fglrx-core 2:15.200-0ubuntu0.5: fglrx-core kernel module failed to build [ld: Relocatable linking with relocations from format elf32-i386 (.../libfglrx_ip.a) to format elf64-x86-64 (.../fglrx.o) is not supported]

Bug #1506479 reported by James Anderson on 2015-10-15
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Unassigned

Bug Description

Module failed to build on kernel update. Unsure of exact error.

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: fglrx-core 2:15.200-0ubuntu0.5
ProcVersionSignature: Ubuntu 3.16.0-50.67~14.04.1-generic 3.16.7-ckt16
Uname: Linux 3.16.0-50-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.16
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
DKMSKernelVersion: 3.16.0-51-generic
Date: Thu Oct 15 09:33:41 2015
DistUpgraded: 2014-09-01 14:08:19,791 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM] [1002:6779] (prog-if 00 [VGA controller])
   Subsystem: XFX Pine Group Inc. Radeon HD 7450 [1682:3200]
InstallationDate: Installed on 2014-01-19 (634 days ago)
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release i386 (20130820.1)
MachineType: To be filled by O.E.M. To be filled by O.E.M.
PackageVersion: 2:15.200-0ubuntu0.5
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-50-generic root=UUID=29264224-1692-41a1-ac94-abe4d909eb18 ro plymouth:debug crashkernel=384M-:128M drm.debug=0xe crashkernel=384M-:128M
RelatedPackageVersions:
 dpkg 1.17.5ubuntu5.4
 apt 1.0.1ubuntu2.10
SourcePackage: fglrx-installer
Title: fglrx-core 2:15.200-0ubuntu0.5: fglrx-core kernel module failed to build
UnitySupportTest:
 Error: command ['/usr/lib/nux/unity_support_test', '-p', '-f'] failed with exit code 1: X Error of failed request: BadRequest (invalid request code or no such operation)
   Major opcode of failed request: 157 (ATIFGLEXTENSION)
   Minor opcode of failed request: 66 ()
   Serial number of failed request: 23
   Current serial number in output stream: 23
UpgradeStatus: Upgraded to trusty on 2014-09-01 (408 days ago)
dmi.bios.date: 10/01/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2006
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: M5A97 R2.0
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2006:bd10/01/2013:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKCOMPUTERINC.:rnM5A97R2.0:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.
version.compiz: compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
version.libdrm2: libdrm2 2.4.60-2~ubuntu14.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.5
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1.6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Wed Oct 14 18:42:48 2015
xserver.configfile: default
xserver.devices:
 input Power Button KEYBOARD, id 6
 input Power Button KEYBOARD, id 7
 input Logitech USB Receiver KEYBOARD, id 8
 input Logitech USB Receiver KEYBOARD, id 9
 input Eee PC WMI hotkeys KEYBOARD, id 10
xserver.errors:
 open /dev/dri/card0: No such file or directory
 open /dev/fb0: No such file or directory
 fglrx(0): atiddxDriScreenInit failed. Probably kernel module missing or incompatible.
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.15.1-0ubuntu2.7
xserver.video_driver: fglrx

James Anderson (jim-255) wrote :
summary: fglrx-core 2:15.200-0ubuntu0.5: fglrx-core kernel module failed to build
+ [ld: Relocatable linking with relocations from format elf32-i386
+ (.../libfglrx_ip.a) to format elf64-x86-64 (.../fglrx.o) is not
+ supported]
Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
To post a comment you must log in.